apt 3.1.11 commandline package manager

Public Member Functions | List of all members
DefaultRootSetFunc2 Class Reference

Returns true for packages matching a regular expression in APT::NeverAutoRemove. More...

Inheritance diagram for DefaultRootSetFunc2:

## Public Member Functions
| DefaultRootSetFunc2 (pkgCache *cache)
bool | InRootSet (const pkgCache::PkgIterator &pkg) override
| DefaultRootSetFunc2 (pkgCache *cache)
bool | InRootSet (const pkgCache::PkgIterator &pkg) override
Public Member Functions inherited from Configuration::MatchAgainstConfig
| MatchAgainstConfig (char const *Config)
bool | Match (char const *str) const
| Returns true for a string matching one of the patterns.
bool | Match (std::string const &str) const
bool | wasConstructedSuccessfully () const
| returns if the matcher setup was successful

## Detailed Description

Returns true for packages matching a regular expression in APT::NeverAutoRemove.

## Member Function Documentation

## ◆ InRootSet() [1/2]

bool InRootSet | ( | const pkgCache::PkgIterator & | pkg | ) |
| inline override virtual

Reimplemented from pkgDepCache::DefaultRootSetFunc.

## ◆ InRootSet() [2/2]

bool InRootSet | ( | const pkgCache::PkgIterator & | pkg | ) |
| inline override virtual

Reimplemented from pkgDepCache::DefaultRootSetFunc.

The documentation for this class was generated from the following files:

- apt-pkg/depcache.cc
- apt-pkg/solver3.cc